API Endpoint Reference / Materials

Search available catalog filaments with the web picker

GET https://api.printhiv3d.com/v1/filaments/search

Operation ID searchFilaments. Requires the read API key scope.

Parameters

NameInTypeRequiredDescription
qquerystringYes
limitqueryintegerNo
offsetqueryintegerNo

Responses

StatusDescription
200Default Response

200 response fields

FieldTypeRequiredDescription
filamentsobject[]Yes
totalnumberYes
hasMorebooleanYes
matchMode"strict" | "broadened"Yes
originalQuerynull | stringYes

Example 200 response

{
  "filaments": [
    {
      "id": "9c2e7b4a-1d8f-4a63-8f5b-6e0d3a9c7b21",
      "filamentId": "9c2e7b4a-1d8f-4a63-8f5b-6e0d3a9c7b21",
      "acceptedByCreate": true,
      "name": "Bambu Lab PLA Basic Jade White",
      "brand": "Bambu Lab",
      "material_type": "PLA",
      "color": "#FFFFFF",
      "colors": [
        "#FFFFFF"
      ],
      "colorName": "Jade White",
      "diameter": 1.75,
      "category": "filament",
      "organization_id": "3b9e4d71-0c2f-4a58-8e6d-91f2a7c4b605"
    }
  ],
  "total": 1,
  "hasMore": false,
  "matchMode": "strict",
  "originalQuery": "pla white"
}